### Method

# Gio FileMonitor set_rate_limit

#### Declaration

    void
    g_file_monitor_set_rate_limit (
      GFileMonitor* monitor,
      gint limit_msecs
    )

#### Description

Sets the rate limit to which the `monitor` will report consecutive change events to the same file.

Sets property | `Gio.FileMonitor:rate-limit`

#### Parameters

`limit_msecs`

  Type: `gint`

  A non-negative integer with the limit in milliseconds to poll for changes.